Modify Project

Modify Project
Modifies a project

Modifies a project by id. Fields that can be modified: name, description, constraints, properties, cost, operation timeout, shared resources.

Request
URI
PATCH
https://vcfa-10-162-161-9.vcfd.broadcom.net/project-service/api/projects/{id}
COPY
Path Parameters
string
id
Required

The id of the project.

Query Parameters
string
apiVersion
Optional
Constraints: default: 2019-01-15

The version of the API in yyyy-MM-dd format. For versioning information refer to /project-service/api/about.


Request Body

Project

UpdateProjectSpecification of type(s) application/json
Required

Show optional properties

{
    "name": "my-name"
}
{
    "name": "my-name",
    "description": "my-description",
    "constraints": {
        "network": {
            "conditions": [
                {
                    "type": "TAG",
                    "enforcement": "HARD",
                    "occurrence": "MUST_OCCUR",
                    "expression": {
                        "key": "key",
                        "value": "value"
                    }
                }
            ]
        }
    },
    "properties": {
        "myproperty": "enforcement",
        "__projectPlacementPolicy": "SPREAD",
        "__namingTemplate": "my-resource-template-${######}",
        "__allowTerraformCloudzoneMapping": "true"
    },
    "operationTimeout": 0,
    "sharedResources": false
}
string
name
Required
Constraints: minLength: 0 maxLength: 255

A human-friendly name used as an identifier in APIs that support this option.

string
description
Optional
Constraints: minLength: 0 maxLength: 2000

A human-friendly description.

object
constraints
Optional

List of constraints of the project.

object
properties
Optional

List of properties of the project, to be applied to any resource provisioned within the project.

The project placement policy is set through the property with key: __projectPlacementPolicy, which can take 1 of only 2 possible values DEFAULT or SPREAD. If not specified, it is set as DEFAULT.

The naming template of resources provisioned in this project can be specified through the property with key: __namingTemplate. Hint: Avoid conflicting names by generating digits in names with ${######}

You can allow Terraform cloudzone mapping through the property with key: __allowTerraformCloudzoneMapping. It can be set to either true or false. By default, it is set to false.

integer As int64 As int64
operationTimeout
Optional

The timeout that should be used for Blueprint operations and Provisioning tasks. The timeout is in seconds.

boolean
sharedResources
Optional

Specifies whether the resources in this projects are shared or not. Only allowed for classic tenants.

Authentication
This operation uses the following authentication methods.
Responses
200

'Success' with the Project

Returns Project of type(s) */*
{
    "id": "string",
    "name": "my-name",
    "description": "my-description",
    "orgId": "string",
    "administrators": [
        {
            "email": "[email protected]",
            "type": "user"
        }
    ],
    "members": [
        {
            "email": "[email protected]",
            "type": "user"
        }
    ],
    "viewers": [
        {
            "email": "[email protected]",
            "type": "user"
        }
    ],
    "supervisors": [
        {
            "email": "[email protected]",
            "type": "user"
        }
    ],
    "users": [
        {
            "email": "[email protected]",
            "type": "user"
        }
    ],
    "auditors": [
        {
            "email": "[email protected]",
            "type": "user"
        }
    ],
    "advancedUsers": [
        {
            "email": "[email protected]",
            "type": "user"
        }
    ],
    "constraints": {
        "network": {
            "conditions": [
                {
                    "type": "TAG",
                    "enforcement": "HARD",
                    "occurrence": "MUST_OCCUR",
                    "expression": {
                        "key": "key",
                        "value": "value"
                    }
                }
            ]
        }
    },
    "properties": {
        "myproperty": "enforcement",
        "__projectPlacementPolicy": "SPREAD",
        "__namingTemplate": "my-resource-template",
        "__allowTerraformCloudzoneMapping": "true"
    },
    "cost": {
        "cost": "number",
        "costSyncTime": "2011-12-03T10:15:30Z",
        "costUnit": "USD",
        "message": "string",
        "code": "string"
    },
    "operationTimeout": 0,
    "sharedResources": false
}

403

Forbidden, the user lacks permissions

Operation doesn't return any data structure

404

'Not found' if no project with the provided id

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X PATCH -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name":"string"}'